import {
	createRouter,
	createWebHashHistory
} from 'vue-router'
import Login from "../views/login/login";
import Layout from "../views/layout/layout";
import PrivApply from "../views/system/privApply";
import Logs from "../views/monitor/logs";
import Item from "../views/system/item";

const routes = [{
		path: "/",
		name: "Layout",
		component: Layout,
		children: [{
				path: "/apply",
				name: "PrivApply",
				component: PrivApply
			},
			{
				path: "/logs",
				name: "Logs",
				component: Logs
			},
			{
				path: "/items",
				name: "Item",
				component: Item
			}
		]
	},
	{
		path: "/login",
		name: "Login",
		component: Login,
	}
];
const router = createRouter({
	history: createWebHashHistory(),
	routes
});

export default router
