const server = "http://localhost:8081/bms/api/operate/";

const URL = {
	//登录
	login: server + "admin/login.do",

	//权限申请
	privilegeApply: {
		//列表
		listPage: server + "privilegeApply/listPage.do",
		//提交审核
		audit: server + "privilegeApply/audit.do",
		//获取某用户没有权限的设备组
		getNoPrivGroups: server + "privilegeApply/getNoPrivGroups.do",
	},
	//mqtt日志
	logs: {
		//列表
		listPage: server + "logs/listPage.do",
		//全部指令
		instructions: server + "logs/getAllInstruction.do",
	},
	//项目管理
	item: {
		//列表
		listPage: server + "item/listPage.do",
		//增
		save: server + "item/save.do",
		//禁用
		forbidden: server + "item/forbidden.do",
		//启用
		permit: server + "item/permit.do",
		//更新
		update: server + "item/update.do",
	},

	//webSocket 地址
	webSocket: "wss://www.mang406.top/webSocket/",
};

export default {
	URL
};
