import {createApp} from 'vue'
import ElementPlus from 'element-plus';
import "./static/element-ui.css";
import App from "./App.vue";
import router from "./router";
import Global from './static/js/global'
import Http from './static/js/http'
import './static/js/token'

const app = createApp(App);
app.config.globalProperties.$http = Http.Http;
app.config.globalProperties.$global = Global.URL;
app.use(router).use(ElementPlus).mount('#app');